%global major 1
%define libname %mklibname jcat %major
%define devname %mklibname -d jcat
%global glib2_version 2.45.8
%global json_glib_version 1.1.1

Summary:   Library for reading Jcat files
Group:     System/Libraries
Name:      libjcat
Version:   0.1.3
Release:   %mkrel 1
License:   LGPLv2+
URL:       https://github.com/hughsie/libjcat
Source0:   https://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: gobject-introspection-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: json-glib-devel >= %{json_glib_version}
BuildRequires: gnutls-devel
BuildRequires: gnutls
BuildRequires: gpgme-devel
BuildRequires: vala
BuildRequires: help2man

Requires: glib2%{?_isa} >= %{glib2_version}

%description
This library allows reading and writing gzip-compressed JSON catalog files,
which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

This provides equivalent functionality to the catalog files supported in
Microsoft Windows.

%package -n %libname
Summary: $prog
Group: System/Libraries

%description -n %libname
This library allows reading and writing gzip-compressed JSON catalog files,
which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

This provides equivalent functionality to the catalog files supported in
Microsoft Windows.

%package -n %devname
Group: Development/C
Summary: Development package for %{name}
Requires: %{libname} = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%package tests
Summary: Files for installed tests

%description tests
Executable and data files for installed tests.

%prep
%setup -q

%build

%meson \
    -Dgtkdoc=true \
    -Dtests=true

%meson_build

%install
%meson_install

%check
%meson_test

%files -n %libname
%doc README.md
%license LICENSE
%{_bindir}/jcat-tool
%{_datadir}/man/man1/*.1*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libjcat.so.1*

%files -n %devname
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libjcat
%{_includedir}/libjcat-1
%{_libdir}/libjcat.so
%{_libdir}/pkgconfig/jcat.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/jcat.deps
%{_datadir}/vala/vapi/jcat.vapi

%files tests
%doc README.md
%dir %{_datadir}/installed-tests
%dir %{_libexecdir}/installed-tests
%dir %{_libexecdir}/installed-tests/libjcat
%{_libexecdir}/installed-tests/libjcat/jcat-self-test
%{_libexecdir}/installed-tests/libjcat/colorhug/
%{_libexecdir}/installed-tests/libjcat/pki/
%{_datadir}/installed-tests/libjcat/*
%dir %{_datadir}/installed-tests/libjcat



%changelog
* Sun Jun 21 2020 neoclust <neoclust> 0.1.3-1.mga8
+ Revision: 1598169
- New version 0.1.3 (mga#26817)

* Tue Mar 31 2020 tv <tv> 0.1.0-1.mga8
+ Revision: 1562663
- imported package libjcat


* Tue Mar 31 2020 Thierry Vignaud <tv@mageia.org> 0.1.0-1.mga8
- import from FC

* Mon Mar 23 2020 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial release for Fedora package review
